import click
import json
import requests

from decouple import config
from helper import OTPCredentials


@click.group()
def image():
    pass


@image.command("list")
@click.option("--public", is_flag=True)
@click.option("--private", is_flag=True)
def list(public, private):
    if public:
        r = requests.get(f"{config('UCLOUD_API_SERVER')}/image/list-public")
        print(json.loads(r.content))


@image.command("create-from-file")
@click.option("--name", required=True)
@click.option("--uuid", required=True)
@click.option("--image_store_name", required=True)
def create_from_file(name, uuid, image_store_name):
    data = {"name": name, "uuid": uuid, "image_store": image_store_name}
    r = requests.post(f"{config('UCLOUD_API_SERVER')}/image/create", data)
    print(r.content.decode("utf-8"))
